Description: Fix invalid function name under Python 3.7
Author: Emmanuel Gil Peyrot <linkmauve@linkmauve.fr>
Bug-Debian: https://bugs.debian.org/904453
Last-Update: 2018-08-02
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/sleekxmpp/plugins/xep_0009/remote.py
+++ b/sleekxmpp/plugins/xep_0009/remote.py
@@ -412,8 +412,10 @@
         self._callback = callback
 
     def __getattribute__(self, name, *args):
-        if name in ('__dict__', '_endpoint', 'async', '_callback'):
+        if name in ('__dict__', '_endpoint', '_callback'):
             return object.__getattribute__(self, name)
+        elif name == 'async':
+            return lambda callback: Proxy(self._endpoint, callback)
         else:
             attribute = self._endpoint.__getattribute__(name)
             if hasattr(attribute, '__call__'):
@@ -427,9 +429,6 @@
                     pass   # If the attribute doesn't exist, don't care!
             return attribute
 
-    def async(self, callback):
-        return Proxy(self._endpoint, callback)
-
     def get_endpoint(self):
         '''
         Returns the proxified endpoint.
